#ifndef OBJLISTENER_H_
#define OBJLISTENER_H_

#include <object.h>

class cObjectListener
{
public:
	enum eObjectAction
	{
		OBJ_GET,
		OBJ_SET,
		OBJ_EVT,
		OBJ_DEL
	};
	virtual void handleObjectAction(cObjectList * obj) = 0;
	virtual ~cObjectListener(){;}
};
#endif //Include Guard
